Bug 150351 - Xscreensaver suspending or turning of screen by default
Xscreensaver suspending or turning of screen by default
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 15:08 EST by Kyrre Ness Sjøbæk
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-01 13:58:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2005-03-04 15:08:31 EST
Description of problem:
At the computer lab, where the computers are "never" turned off - i can see that
gdm turns of the displays after a period of inactivity. So the CRT screens are
never on over a holyday etc.

But if sombody (such as myself) has logged in and then left the computer
(overnight, overholyday etc...) - i can see that the display is "glowing" black
in the dark before i turn on the lights. And my laptops LCD never really turns of.

The i found the setting in the xscreensaver configuration. The one i presumed
was switched on. The one "use powersaving functions". Turn that off, and my
laptop is OK. But am i going to tell all my users / hacking sine config file in
order to do that?

It should be the default behavior. And it seems to be considered safe to do - as
gdm does it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John Thacker 2006-10-29 16:18:58 EST
[Mass switching of bugs filed against FC4T3 to fc4test3 from test3]
Comment 2 Christian Iseli 2007-01-22 06:49:26 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Kyrre Ness Sjøbæk 2007-03-01 13:57:02 EST
I'm not completely shure, but it seems like this is generally handeled by gnome
power manager now, and on my laptop (running FC6) it is set to put the display
"in  resting mode" after 40 minutes when running on grid power (i think i have
upp'ed this one) and 15 minutes when running on batteries.

Btw. blanking of display when closing lid now works out-of-the-box (actually it
suspends (a bit unsafe?!?), but this is trivialy set to blanking of screen
instead, which is quite nicer when you just want to hand over the machine to
somebody or pick it up and walk five meters...)

So i think this is closable anyway, as xscreensaver isn't the standard
screensaver anymore, and the new system does it rigth.
Comment 4 Kyrre Ness Sjøbæk 2007-03-01 13:58:44 EST
(setting to "worksforme" as i don't know what version it happened in, and it
really was the change to another subsystem that fixed it. Please change
resolution if this is wrong.)

Note You need to log in before you can comment on or make changes to this bug.